# RattenheimRechner

**[rechner.vdrd.de](https://rechner.vdrd.de)**

Ein Rechner für die minimale Größe eines Rattenkäfigs nach Standard des [VdRD e.V.](https://vdrd.de)

## Development

```bash
 npm run start
```

## CI

CI runs via woodpecker. The following secrets should be set

| Key        | Example                               | Description                                                                                     |
|------------|---------------------------------------|-------------------------------------------------------------------------------------------------|
| `host`     | `static.example.org`                  | Hostename of the server where you want to deploy                                                |
| `ssh_user` | `username`                            | User on the server                                                                              |
| `ssh_key`  | `-----BEGIN OPENSSH PRIVATE KEY-----` | The private SSH key of the user                                                                 |
| `path`     | `/path/to/be/deployed`                | Path where to deploy the static files. Deploying means it'll create `public` in the given path. |

