module.exports = {
    defaultNamespace: 'translation',
    lexers: {
        js: ['JsxLexer'], // we're writing jsx inside .js files
        html: ['HTMLLexer'],
        default: ['JavascriptLexer'],
    },
    locales: ['en', 'de'],
    output: 'public/i18n/$LOCALE.json',
    input: [ 'src/*.js', 'public/*.html', ],
}